Search Gradle plugins

Version 8.15.0 (latest)

Created 04 August 2021.

Spinnaker extension development plugins

Using the plugins DSL:

plugins {
  id "io.spinnaker.plugin.compatibility-test-runner" version "8.15.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "io.spinnaker.gradle:spinnaker-extensions:8.15.0"
  }
}

apply plugin: "io.spinnaker.plugin.compatibility-test-runner"

Using the plugins DSL:

plugins {
  id("io.spinnaker.plugin.compatibility-test-runner") version "8.15.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("io.spinnaker.gradle:spinnaker-extensions:8.15.0")
  }
}

apply(plugin = "io.spinnaker.plugin.compatibility-test-runner")

Learn how to apply plugins to subprojects